%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}

%define _libexecdir %{_prefix}/libexec

%define major 4
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Graphical Boot Animation and Logger
Name:		plymouth
Version:	0.9.2
Release:	4
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.freedesktop.org/wiki/Software/Plymouth
Source0:	http://www.freedesktop.org/software/plymouth/releases/%{name}-%{version}.tar.bz2
Source1:	boot-duration
Source2:	charge.plymouth
# PATCH-OPENSUSE -- Restore suspend / resume state (needed for suspend package)
Patch0:		plymouth-restore-suspend.patch
# PATCH-OPENSUSE -- Handle correctly multiple displays with different sizes
Patch1:		plymouth-fix-window-size.patch
Patch2:		plymouth-0.8.9-subst-run-paths.patch
Patch3:		plymouth-0.9.2-dtd45.patch
Patch4:		plymouth-0.8.9-export-ply_logger_is_tracing_enabled.patch

# From Mageia package
Patch501:	0001-systemd-Allow-specifying-unit-dir-to-configure.patch
Patch502:	0002-drm-assume-driver-doesn-t-support-mapping-console.patch
Patch503:	0003-drm-merge-ply-renderer-generic-driver.c-to-plugin.c.patch
Patch504:	0004-drm-don-t-try-to-draw-to-fbcon-on-unmap.patch
Patch505:	0005-drm-free-drm-mode-resources-object.patch
Patch506:	0006-drm-rename-buffer-to-output_buffer.patch
Patch507:	0007-pixel-buffer-add-ability-track-opaqueness.patch
Patch508:	0008-pixel-buffer-Optimize-filling-with-opaque-buffers.patch
Patch509:	0009-ply-image-Don-t-do-alpha-pre-multiplication-for-opaq.patch
Patch510:	0010-script-Don-t-draw-backgrounds-if-they-re-obscured.patch
Patch511:	0011-drm-fix-crasher-in-unload_backend.patch
Patch512:	0012-animation-throbber-allow-calling-stop-after-animatio.patch
Patch513:	0013-renderer-track-activeness.patch
Patch514:	0014-keyboard-track-activeness.patch
Patch515:	0015-keyboard-track-activeness.patch
Patch516:	0016-pixel-display-add-getters-for-renderer-data.patch
Patch517:	0017-device-manager-drop-seat-abstraction.patch
Patch518:	0018-device-manager-decouple-local-console-from-output-de.patch
Patch519:	0019-device-manager-force-details-if-serial-consoles-are.patch
Patch520:	0020-boot-splash-don-t-crash-in-free-if-module-not-loaded.patch
Patch521:	0021-pixel-buffer-use-double-instead-of-float-for-scale-f.patch
Patch522:	0022-splash-core-drop-last-vestigates-of-ply_seat_t.patch
Patch523:	0023-pixel-buffer-add-the-concept-of-a-device-scale.patch
Patch524:	0024-drm-set-a-device-scale-of-2-on-HiDPI.patch
Patch525:	0025-two-step-fix-drawing-of-background-image.patch
Patch526:	0026-x11-allow-testing-the-hidpi-support-code.patch
Patch527:	0027-label-add-support-for-HiDPI.patch
Patch528:	0028-libply-unify-get_device_scale-method-in-library.patch
Patch529:	0029-populate-initrd-support-theme-subfolders.patch
Patch530:	0030-device-manager-use-device-timeout-instead-of-udev-co.patch
Patch531:	0031-Revert-populate-initrd-support-theme-subfolders.patch
Patch532:	0032-device-manager-Don-t-add-local-console-to-terminals-.patch
Patch533:	0033-main-show-cursor-on-crash.patch
Patch534:	0034-plymouth-populate-initrd-fix-THEME_OVERRIDE-with-emp.patch
Patch535:	0035-two-step-don-t-tank-in-updates-mode-when-there-s-no-.patch
Patch536:	0036-script-only-support-one-message-at-a-time.patch
Patch537:	0037-device-manager-activate-new-renderers-after-adding-t.patch
Patch538:	0038-plugins-unset-draw-handler-when-freeing-view.patch
Patch539:	0039-plugins-free-views-that-can-t-load.patch
Patch540:	0040-plugins-load-view-of-hot-plugged-displays-immediatel.patch
Patch541:	0041-details-update-new-views-with-current-boot-buffer.patch
Patch542:	0042-main-make-sure-to-reshow-prompts-when-new-display-is.patch
Patch543:	0043-device-manager-fix-use-after-free.patch
Patch544:	0044-text-add-view-for-new-text-displays.patch
Patch545:	0045-main-call-show_messages-after-the-splash-is-assigned.patch
Patch546:	0046-configure-tweak-defaults-to-be-more-systemd-friendly.patch
Patch547:	0047-text-don-t-draw-if-not-animating.patch
Patch548:	0048-terminal-always-open-terminal-in-non-blocking-mode.patch
Patch549:	0049-device-manager-probe-existing-DRM-devices-at-startup.patch
Patch550:	0050-drm-don-t-pick-up-drm-master-implicitly.patch
Patch551:	0051-terminal-refresh-geometry-after-drm-device-arrives.patch
Patch552:	0052-logger-stop-using-carriage-returns.patch
Patch553:	0053-build-goo-don-t-install-systemd-units-during-distche.patch
Patch554:	0054-systemd-units-Fix-uninstall-script.patch
Patch555:	0055-configure-switch-to-tar.xz-instead-tar.bz2.patch
Patch556:	0056-libply-fix-HiDPI-detection.patch
Patch557:	0057-libply-main-Add-device-scale-setting.patch
Patch558:	0058-main-support-plymouth.force-scale-on-the-kernel-comm.patch
Patch559:	0059-build-goo-make-udev-support-build-time-optional.patch
Patch560:	0060-device-manager-dont-pass-terminal-as-renderer-device.patch
Patch561:	0061-device-manager-handle-NULL-renderer-better.patch
Patch562:	0062-renderer-export-device-name-from-plugin.patch
Patch563:	0063-configure-don-t-look-for-libudev-when-without-udev-i.patch
Patch564:	0064-drm-implement-get_display_name.patch
Patch565:	0065-x11-implement-get_display_name.patch
# Use frame buffer devices when kernel modesetting is disabled
# to avoid fallback to text mode (grey screen + three question marks)
Patch1000:	1001-device_manager-ignore-drm-devices-when-kernel-modese.patch
# Add option to override device timeout on kernel command line
# for further test/debug if there are still problems
Patch1001:	1002-main-allow-the-device-timeout-to-be-overridden-on-th.patch

BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	systemd-units
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(systemd)
Requires:	desktop-common-data
Requires(post):	dracut
Requires(post):	plymouth-scripts = %{EVRD}
Conflicts:	systemd-units < 186
%rename		splashy

%description
Plymouth provides an attractive graphical boot animation in place of the text
messages that normally get shown. Text messages are instead redirected to a log
file for viewing after boot.

%files
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/plymouth
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%dir %{_libdir}/plymouth
%{_datadir}/plymouth/default-boot-duration
%dir %{_localstatedir}/lib/plymouth
%{plymouthdaemon_execdir}/plymouthd
%{plymouthclient_execdir}/plymouth
%{_libdir}/plymouth/details.so
%{_libdir}/plymouth/text.so
/lib/systemd/system/*plymouth*.service
/lib/systemd/system/systemd-*.path
/lib/systemd/system/*.wants/plymouth-*.service
%dir %{_libdir}/plymouth/renderers
%{_libdir}/plymouth/renderers/drm*
%{_libdir}/plymouth/renderers/frame-buffer*
%ghost %{_datadir}/plymouth/themes/default.plymouth
%{_datadir}/plymouth/plymouthd.defaults
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/text
%{_mandir}/man1/plymouth.1*
%ghost %{_localstatedir}/run/plymouth
%ghost %{_localstatedir}/spool/plymouth
%ghost %{_localstatedir}/lib/plymouth/shutdown-duration
%ghost %{_localstatedir}/lib/plymouth/boot-duration
%{_mandir}/man8/*

%post
[ -f %{_localstatedir}/lib/plymouth/boot-duration ] || cp -f %{_datadir}/plymouth/default-boot-duration %{_localstatedir}/lib/plymouth/boot-duration
if [ "x$DURING_INSTALL" = "x" ]; then
  if [ $1 -eq 1 ]; then
   %{_libexecdir}/plymouth/plymouth-update-initrd
  fi
fi

%postun
if [ $1 -eq 0 ]; then
    rm -f %{_libdir}/plymouth/default.so
fi

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Plymouth libraries
Group:		System/Libraries

%description -n %{libname}
This package contains shared libraries used by Plymouth.

%files -n %{libname}
%{plymouth_libdir}/libply.so.%{major}*
%{_libdir}/libply-boot-client.so.%{major}*
%{_libdir}/libply-splash-graphics.so.%{major}*
/%{_lib}/libply-splash-core.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and headers for writing Plymouth splash plugins
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the libply and libplybootsplash libraries and headers
needed to develop 3rd party splash plugins for Plymouth.

%files -n %{devname}
%{plymouth_libdir}/libply.so
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.so
%{_libdir}/plymouth/renderers/x11*
/%{_lib}/libply-splash-core.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/plymouth-1

#----------------------------------------------------------------------------

%package system-theme
Summary:	Plymouth default theme
Group:		System/Kernel and hardware
Requires:	plymouth(system-theme)
Requires:	plymouth = %{EVRD}

%description system-theme
This metapackage tracks the current distribution default theme.

%files system-theme

#----------------------------------------------------------------------------

%package utils
Summary:	Plymouth related utilities
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}

%description utils
This package contains utilities that integrate with Plymouth including
a boot log viewing application.

#----------------------------------------------------------------------------

%package scripts
Summary:	Plymouth related scripts
Group:		System/Kernel and hardware
Requires:	plymouth = %{EVRD}

%description scripts
This package contains scripts that help integrate Plymouth with the system.

%files scripts
%{_sbindir}/plymouth-set-default-theme
%{_libexecdir}/plymouth
%{_mandir}/man1/plymouth-set-default-theme.1*

#----------------------------------------------------------------------------

%package plugin-fade-throbber
Summary:	Plymouth "Fade-Throbber" plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}

%description plugin-fade-throbber
This package contains the "Fade-In" boot splash plugin for Plymouth.
It features a centered image that fades in and out while other images
pulsate around during system boot up.

%files plugin-fade-throbber
%{_libdir}/plymouth/fade-throbber.so

#----------------------------------------------------------------------------

%package plugin-label
Summary:	Plymouth label plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}

%description plugin-label
This package contains the label control plugin for Plymouth. It provides
the ability to render text on graphical boot splashes using pango and cairo.

%files plugin-label
%{_libdir}/plymouth/label.so

#----------------------------------------------------------------------------

%package plugin-script
Summary:	Plymouth "Script" plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}
Requires:	plymouth-plugin-label = %{EVRD}

%description plugin-script
This package contains the "Script" plugin for Plymouth.

%files plugin-script
%{_libdir}/plymouth/script.so

#----------------------------------------------------------------------------

%package plugin-space-flares
Summary:	Plymouth "space-flares" plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}
Requires:	plymouth-plugin-label = %{EVRD}

%description plugin-space-flares
This package contains the "space-flares" boot splash plugin for Plymouth.
It features a corner image with animated flares.

%files plugin-space-flares
%{_libdir}/plymouth/space-flares.so

#----------------------------------------------------------------------------

%package plugin-throbgress
Summary:	Plymouth "Throbgress" plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}
Requires:	plymouth-plugin-label = %{EVRD}

%description plugin-throbgress
This package contains the "throbgress" boot splash plugin for Plymouth.
It features a centered logo and animated spinner that spins repeatedly
while a progress bar advances at the bottom of the screen.

%files plugin-throbgress
%{_libdir}/plymouth/throbgress.so

#----------------------------------------------------------------------------

%package plugin-tribar
Summary:	Plymouth "tribar" plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}
Requires:	plymouth-plugin-label = %{EVRD}

%description plugin-tribar
This package contains the "tribar" boot splash plugin for Plymouth.

%files plugin-tribar
%{_libdir}/plymouth/tribar.so

#----------------------------------------------------------------------------

%package plugin-two-step
Summary:	Plymouth "two-step" plugin
Group:		System/Kernel and hardware
Requires:	%{libname} = %{EVRD}
Requires:	plymouth-plugin-label = %{EVRD}

%description plugin-two-step
This package contains the "two-step" boot splash plugin for Plymouth.
It features a two phased boot process that starts with a progressing
animation synced to boot time and finishes with a short, fast one-shot
animation.

%files plugin-two-step
%{_libdir}/plymouth/two-step.so

#----------------------------------------------------------------------------

%package theme-charge
Summary:	Plymouth "Charge" plugin
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-two-step = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-charge
This package contains the "charge" boot splash theme for Plymouth.
It features the shadowy hull of a logo charge up and and finally burst
into full form.

%files theme-charge
%{_datadir}/plymouth/themes/charge

#----------------------------------------------------------------------------

%package theme-fade-in
Summary:	Plymouth "Fade-In" theme
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-fade-throbber = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-fade-in
This package contains the "Fade-In" boot splash theme for Plymouth.
It features a centered logo that fades in and out while stars twinkle
around the logo during system boot up.

%files theme-fade-in
%{_datadir}/plymouth/themes/fade-in

#----------------------------------------------------------------------------

%package theme-glow
Summary:	Plymouth "Glow" plugin
Group:		System/Kernel and hardware
Requires:	plymouth-plugin-two-step = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-glow
This package contains the "Glow" boot splash theme for Plymouth.

%files theme-glow
%{_datadir}/plymouth/themes/glow

#----------------------------------------------------------------------------

%package theme-script
Summary:	Plymouth "Script" theme
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-script = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-script
This package contains the "Script" boot splash theme for Plymouth.

%files theme-script
%{_datadir}/plymouth/themes/script

#----------------------------------------------------------------------------

%package theme-solar
Summary:	Plymouth "Solar" theme
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-space-flares = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-solar
This package contains the "Solar" boot splash theme for Plymouth.
It features a blue flamed sun with animated solar flares.

%files theme-solar
%{_datadir}/plymouth/themes/solar

#----------------------------------------------------------------------------

%package theme-spinfinity
Summary:	Plymouth "Spinfinity" theme
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-throbgress = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-spinfinity
This package contains the "Spinfinity" boot splash theme for Plymouth.
It features a centered logo and animated spinner that spins in the shape
of an infinity sign.

%files theme-spinfinity
%{_datadir}/plymouth/themes/spinfinity

#----------------------------------------------------------------------------

%package theme-spinner
Summary:	Plymouth "Spinner" theme
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-two-step = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-spinner
This package contains the "Spinner" boot splash theme for Plymouth.

%files theme-spinner
%{_datadir}/plymouth/themes/spinner

#----------------------------------------------------------------------------

%package theme-tribar
Summary:	Plymouth "Tribar" theme
Group:		System/Kernel and hardware
Requires:	%{name}-plugin-tribar = %{EVRD}
Requires(post):	plymouth-scripts = %{EVRD}

%description theme-tribar
This package contains the "Tribar" boot splash theme for Plymouth.

%files theme-tribar
%{_datadir}/plymouth/themes/tribar

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-tracing \
	--disable-tests \
	--with-logo=%{_datadir}/icons/large/mandriva.png \
	--with-background-start-color-stop=0x0073B3 \
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391cd \
	--disable-gdm-transition \
	--enable-systemd-integration \
	--with-system-root-install \
	--without-log-viewer \
	--disable-libkms

%make

%install
%makeinstall_std

touch %{buildroot}%{_datadir}/plymouth/themes/default.plymouth

mkdir -p %{buildroot}%{_localstatedir}/lib/plymouth
cp %{SOURCE1} %{buildroot}%{_datadir}/plymouth/default-boot-duration
touch %{buildroot}%{_localstatedir}/lib/plymouth/{boot,shutdown}-duration

# Add charge
mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{SOURCE2} %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{buildroot}%{_datadir}/plymouth/themes/glow/{box,bullet,entry,lock}.png %{buildroot}%{_datadir}/plymouth/themes/charge

#----------------------------------------------------------------------------

%define theme_scripts() \
%post -n %{name}-theme-%{1} \
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
  export LIB=%{_lib} \
  if [ $1 -eq 1 ]; then \
      %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
  else \
      THEME=$(%{_sbindir}/plymouth-set-default-theme) \
      if [ "$THEME" == "text" -o "$THEME" == "%{1}" ]; then \
          %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
      fi \
  fi \
fi \
\
%postun -n %{name}-theme-%{1} \
export LIB=%{_lib} \
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then \
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "%{1}" ]; then \
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd \
    fi \
fi \


%theme_scripts spinfinity
%theme_scripts fade-in
%theme_scripts solar
%theme_scripts charge
%theme_scripts glow
%theme_scripts script


%changelog

* Wed Jun 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-4
- (d5614c3) Add patches from Mageia to use frame buffer devices when kernel modesetting is disabled
- (Andrey Bondrov: 870791b) Backport more patches from git

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-3
- (24342a3) MassBuild#1230: Increase release tag

* Wed Nov 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-2
- (481f11c) Add 55 patches from Mageia package
- (Andrey Bondrov: 9a2d384) Add patch to export ply_logger_is_tracing_enabled symbol

* Wed Nov 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-1
- (efbd419) Build requires docbook-style-xsl
- (Andrey Bondrov: c0e8e11) Patch for docbook-dtd45-xml support
- (Andrey Bondrov: cb86705) Build requires docbook-dtd45-xml
- (Andrey Bondrov: 6ad9268) Build requires xsltproc
- (Andrey Bondrov: dbbe0c4) Build requires pkgconfig(libpng)
- (Andrey Bondrov: a230740) Requires GTK3 now, not GTK2
- (Andrey Bondrov: 5613ff4) Build requires pkgconfig(libudev)
- (Andrey Bondrov: f547dad) New version 0.9.2
- (Andrey Bondrov: f547dad) New library major 4

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8.9-17
- (f92c578) MassBuild#1169: Increase release tag

* Fri Dec 18 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.8.9-16
- (5461ef1) Use a longer timeout for Plymouth, but not infinite
- (5461ef1) If the graphics fails to start, the system will still be waiting for
- (5461ef1) Plymouth to quit. But with timeout=0 Plymouth will wait forever. This
- (5461ef1) does not allow to use virtual consoles for example to debug the
- (5461ef1) problems.
- (5461ef1) Let us use a long but still finite timeout (3 minutes) instead.

* Mon Jun 01 2015 law <a.lahin@ntcit-rosa.ru> 0.8.9-15
- (3fb4ea8) Increase release number

* Mon Jun 01 2015 law <a.lahin@ntcit-rosa.ru> 0.8.9-14
- (0c0d209) Setup vconsole (load vconsole font) just before switching to graphics
- (law: 68626f5) Increase release number

* Sun May 24 2015 law <a.lahin@ntcit-rosa.ru> 0.8.9-13
- (291b3b8) Force autoreconf (for build with frozen time)
- (Tigro: 524698c) drop stop-graphical.patch again. New systemd fix plymouth freeze

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 0.8.9-12
- (0a952f4) MassBuild#656: Increase release tag

* Wed Feb 18 2015 Tigro <ashejn@gmail.com> 0.8.9-11
- (eb67708) PATCH-OPENSUSE -- Ensure graphical.target is conflicting with plymouth-wait-quit.service

* Mon Jan 26 2015 law <a.lahin@ntcit-rosa.ru> 0.8.9-10
- (b5da34e) Ghostify /var/run and /var/spool
- (law: 42fdd6b) Increase release number

* Wed Dec 10 2014 law <a.lahin@ntcit-rosa.ru> 0.8.9-9
- (a8b9d9b) Increase release number

* Wed Dec 10 2014 law <a.lahin@ntcit-rosa.ru> 0.8.9-8
- (be7dfe2) Correct /run path in systemd-ask-password-plymouth
- (law: b524d63) Increase release number

* Wed Dec 03 2014 law <a.lahin@ntcit-rosa.ru> 0.8.9-7
- (b7555e5) Restore lost patch
- (law: db79eb5) Sync with import/rosa2014.1

* Tue Oct 07 2014 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 0.8.9-6
- (d82902c) Merge remote-tracking branch 'law/rosa2014.1' into current
- (d82902c) Conflicts:
- (d82902c) plymouth-0.8.3-move-mkinitrd-functions-under-root-lib.patch
- (alexanderlaw: 2f5f5dc) Perform autogen to build with automake 1.11

* Fri Sep 19 2014 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 0.8.3-27
- (8aeca3e) MassBuild#518: Increase release tag

* Thu Aug 28 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8.9-7
- (1a2b5ef) Spec cleanup, drop patch that added Conflicts with graphical.target for quit services

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.8.9-6
- (3fdabb4) MassBuild#440: Increase release tag

* Tue Jun 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8.9-5
- (5545ae3) MassBuild#430: Increase release tag

* Mon Feb 03 2014 akdengi <kazancas@mandriva.ru> 0.8.9-4
- (7840f1c) SILENT fix files
- (akdengi: 6be8e22) delete rhgb compact link and libkms

* Fri Jan 24 2014 akdengi <alexander.kazancev@rosalab.ru> 0.8.9-3
- (bdfb36e) Add pkgconfig(systemd) to BR
- (akdengi: f2f216b) fix build
- (akdengi: 1092525) Update to git 20130904 and add conflict with graphical target

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 0.8.9-2
- (4b15106) update to 0.8.9

* Fri Jan 10 2014 akdengi <kazancas@mandriva.ru> 0.8.6.1-7
- (12b8bc2) delete mageia spec
- (akdengi: 09e15e1) update service name and add some fix

* Tue Nov 20 2012 root <root@localhost.localdomain> 0.8.6.1-6
- (8c5251c) switched mkinitrd to dracut

* Thu Nov 15 2012 root <root@localhost.localdomain> 0.8.6.1-5
- (9fddf00) possible  fix to not quitting plymouth bug

* Thu Oct 04 2012 Alex Burmashev <alex.burmashev@rosalab.ru> 0.8.6.1-4
- (9504e22) Added dracut to requires(post)

* Wed Oct 03 2012 Alex Burmashev <alex.burmashev@rosalab.ru> 0.8.6.1-3
- (0cb6cd8) Updated plymouth.spec

* Tue Aug 14 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.8.6.1-2
- (253f5f5) Automatic import for version 0.8.6.1-2

* Wed Jul 18 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.8.6.1-1
- (95aed6f) Automatic import for version 0.8.6.1

* Mon Jul 09 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.8.5.1-1
- (52b96dd) Automatic import for version 0.8.5.1

* Tue Mar 27 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.8.4-3
- (80c2aad) Automatic import for version 0.8.4

* Wed Feb 01 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.8.3-15
- (9b816ad) Automatic import for version 0.8.3


